Subject: bug#18759: 24.3.94; Yank from clipboard crashes

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Mon, 20 Oct 2014 08:40:59 +0900

>>>>> On Sun, 19 Oct 2014 11:38:54 +0200, Jan Djärv <[email-masked]> said:

> In the trunk we don't use alloca.  When we imported changes from
> macport 4.91 (based on 24.3.91), alloca was replaced with xmalloc.

> We actually jumped from macport 4.7 to macport 4.91 (based on
> 24.3.91) so it might have changed in some version before 4.91.

> I can't find a reference to some bug in the announcements for mac
> port.  The macport ftp site is down, so I can't get all details.
> But maybe a bug similar to this was known and fixed by replacing
> alloca.

The replacement in the Mac port was not for bug fixes, but actually to
support drawing outside the main thread via Grand Central Dispatch.

				     YAMAMOTO Mitsuharu
				[email-masked]